export declare const _catch: unique symbol;
/**
 * @alpha
 */
export declare abstract class Catchable {
    /**
     * Catch errors thrown by a function.
     */
    [_catch]<A extends (...args: any[]) => any, B>(this: A, fn: (error: unknown) => B): (...args: unknown[]) => any;
}
declare global {
    interface Function extends Catchable {
    }
}
//# sourceMappingURL=Catchable.d.ts.map