"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Catchable = exports._catch = void 0;
const core_1 = require("@symbola/core");
exports._catch = Symbol('catch');
/**
 * @alpha
 */
class Catchable {
    /**
     * Catch errors thrown by a function.
     */
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    [exports._catch](fn) {
        return (...args) => {
            try {
                return this(...args);
            }
            catch (error) {
                return fn(error);
            }
        };
    }
}
exports.Catchable = Catchable;
(0, core_1.extend)(Function.prototype, Catchable.prototype);
